<template>
  <div class="content">
    <div class="row">
      <name-text class="content" name="Сергей" surname="Соколов" />

      <jingu-logo class="content rightcol" />
    </div>

    <emoji content="🔎" class="content" />
  </div>
</template>

<script>
import Emoji from "./components/Emoji.vue";
import JinguLogo from "./components/JinguLogo.vue";
import NameText from "./components/NameText.vue";

export default {
  name: "App",
  components: {
    Emoji,
    JinguLogo,
    NameText,
  },
};
</script>

<style lang="sass">
@import "./scss/media_mixin.scss"

.name-text
  margin: 100px 0px 0px 150px
  @include media_1200
    margin: 0px

.pulsed-emoji
  margin: 70px 0px 0px 150px
  @include media_1200
    margin: 0px

.jingu-logo
  margin: 50px 200px 0px 0px
  position: absolute
  right: 0px
  @include media_1200
    margin: 0px
    position: relative

div.row
  display: flex
  align-items: left
  flex-direction: row
  @include media_1200
    display: flex
    align-items: center
    flex-direction: column

div.content
  display: flex
  align-items: left
  flex-direction: column
  @include media_1200
    display: flex
    align-items: center
    flex-direction: column
    margin: 80px 0px 80px 0px
</style>
